%define oname   PyGithub

Name:           python-pygithub
Version:        1.27.1
Release:        %mkrel 1
Summary:        Use the full Github API v3
Group:          Development/Python
License:        LGPLv3+
URL:            https://pypi.python.org/pypi/%{oname}
Source0:        https://github.com/%{oname}/%{oname}/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
%{oname} is a Python (2 and 3) library to use the Github API v3. With it, you
can manage your Github resources (repositories, user profiles, organizations,
etc.) from Python scripts.

%package -n     python3-pygithub
Summary:        Use the full Github API v3
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-pygithub
%{oname} is a Python (2 and 3) library to use the Github API v3. With it, you
can manage your Github resources (repositories, user profiles, organizations,
etc.) from Python scripts.

This is the Python 3 version of the package.

%prep
%setup -q -n %{oname}-%{version}

# Remove bundled egg-info
rm -rf %{oname}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc README.md
%{python2_sitelib}/github
%{python2_sitelib}/%{oname}-%{version}-*.egg-info

%files -n python3-pygithub
%doc README.md
%{python3_sitelib}/github
%{python3_sitelib}/%{oname}-%{version}-*.egg-info


%changelog
* Thu Aug 18 2016 ngompa <ngompa> 1.27.1-1.mga6
+ Revision: 1046767
- Update to 1.27.1, spec update thanks to proyvind

* Thu Jun 30 2016 shlomif <shlomif> 1.26.0-2.mga6
+ Revision: 1038256
- Fix a bug in pygithub - patch by proyvind was accepted by upstream.

* Tue Feb 02 2016 daviddavid <daviddavid> 1.26.0-1.mga6
+ Revision: 931494
- new version: 1.26.0
- add python3 package
- use new python macros
- fix license

* Tue Feb 02 2016 umeabot <umeabot> 1.17.0-8.mga6
+ Revision: 931294
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.17.0-7.mga5
+ Revision: 745837
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.17.0-6.mga5
+ Revision: 729457
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.17.0-5.mga5
+ Revision: 688255
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.17.0-3.mga4
+ Revision: 544012
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.17.0-2.mga4
+ Revision: 499209
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 1.17.0-1.mga4
+ Revision: 468894
- imported package python-pygithub

